Skip to main content
PUT
Update data type by ID

Authorizations

Authorization
string
header
required

Use a valid Bearer token to authenticate.

Path Parameters

_id
string
required

Unique identifier for the data that generated by system. Example: 640a45dd089dc95a0a09ef14

Body

application/json
name
string
required

Name of data type. Example: OutletDetail

fields
object[]
required

List of fields to data type . Example: { 'id': 'dataId', 'title': 'Data ID', 'type': 'text', 'optionData': [], 'required': true, 'primaryKey': true }

deleteFields
array

This parameter is list of fields to data type id for delete the field on collection of data source. Example: [ 'outletPhoneNumber', 'outletCloseOrder' ]

limitUser
boolean

Setting to limit data source usage by users. Default: false

provider
enum<string>

The data source provider type. Cannot be changed after creation.

Available options:
internal,
external-api
providerConfig
object

For internal provider

Response

Success

status
boolean

Status of response.

message
string

Message of API response.

data_type
object

Detail of object data type.